## javax.media.jai
Interface CachedTile

public interface CachedTile

Public interface for cached tiles used to retrieve information about the tile.

Since:
  1.1

Method Summary
`int` `getAction()` Returns information about which method triggered a notification event.
`java.awt.image.RenderedImage` `getOwner()` Returns the image operation to which this cached tile belongs.
`java.awt.image.Raster` `getTile()` Returns the cached tile.
`java.lang.Object` `getTileCacheMetric()` Returns a cost metric associated with the tile.
`long` `getTileSize()` Returns the memory size of the cached tile
`long` `getTileTimeStamp()` Returns the time stamp of the cached tile.

Method Detail

### getOwner

    public java.awt.image.RenderedImage getOwner()

  Returns the image operation to which this cached tile belongs. In Sun Microsystems implementation, this is a RenderedImage.

### getTile

    public java.awt.image.Raster getTile()

  Returns the cached tile. In Sun Microsystems implementation, this object is a Raster.

### getTileCacheMetric

    public java.lang.Object getTileCacheMetric()

  Returns a cost metric associated with the tile. This value is used to determine which tiles get removed from the cache.

### getTileTimeStamp

    public long getTileTimeStamp()

  Returns the time stamp of the cached tile.

### getTileSize

    public long getTileSize()

  Returns the memory size of the cached tile

### getAction

    public int getAction()

  Returns information about which method triggered a notification event. In the Sun Microsystems implementation, events include add, remove and update tile information.